'### Barcode-Vergleichsprogramm
'### Vergleich von zwei Barcodes
'### Version 1.0 Stand: 30.12.1999
'******************************************************************
' Dieses Programm zeigt sehr anschaulich die graphischen Fhigkeiten des Displays.
' Es ist mglich, Kleinschrift, Grosschrift und eine Graphik gleichzeitig anzuzeigen.
'******************************************************************
y = 1	

backlit(0)
beep(5000,30,2000,30,5000,40)

mainmenu:
select_font(2)
CLS
code_1$ = "_"
code_2$ = ""

'### input mode = keine Textdarstellung
input_mode(3)


zeile1$ = "1. Code:"
zeile2$ = "2. Code:"


'*********************************			
'### Textdarstellung
process_111:
CLS
select_font(2)
locate 2,1
print zeile1$
select_font(1)
locate 3,1
print code_1$
select_font(2)
locate 5,1
print zeile2$
select_font(1)
locate 8,1
print "ESC = Abbruch"

'### Abfrage des ersten Barcodes
erster_loop:
GOSUB scannen
if ergebnis$ = "1" then goto erster_OK
A$ = INKEY$
IF A$ = CHR$(27) THEN GOTO mainmenu
goto erster_loop

erster_OK:
code_1$ = bcr_data$
soll_len% = LEN(code_1$)
beep(4000,10)
LED(2,1,50)
select_Font(1)
locate 3,1
print code_1$


zweiter_loop:
LOCATE 7,1
PRINT "_"
GOSUB scannen
if ergebnis$ = "1" then goto zweiter_OK
goto zweiter_loop

zweiter_OK:
code_2$ = bcr_data$


select_font(1)
locate 7,1
print code_2$

'### berprfung der Strukturen
IF code_2$ = code_1$ THEN
	GOSUB struct_OK
ELSE
	GOSUB struct_err
END IF

wait(50)
code_1$="_"
code_2$ = ""
goto process_111
'**********************************************
screen2:
CLS
select_font(2)
locate 2,1
print zeile1$
locate 4,1
print code_1$
locate 6,1
print zeile2$
RETURN


'**********************************************
'*** Routine fuer falsche Barcodestructur
struct_err:
select_font(1)
cls
LED(1,1,100)
beep(2000,20,2000,20,2000,20)
GOSUB badsmile

locate 1,8
	print "Erster Code:"
locate 2,8
print code_1$
locate 3,8
	print "Zweiter Code:"
locate 4,8
print code_2$

select_font(2)
locate 7,1
	print "Codes ungleich!"

wait(600)

return
'**********************************************
'*** Routine fuer korrekten Barcode
struct_OK:

cls
'select_font(2)
beep(3000,15,4000,15,5000,20,6000,15,6000,15)
LED(2,1,50)
GOSUB goodsmile
select_font(2)
locate 4,9
	print "Codes"
locate 6,9
	print "gleich!"
select_font(1)
wait(400)
return
'**********************************************
'*** Routine fuer falsche Barcodelnge
length_err:
cls
LED(1,1,100)
beep(2000,20,2000,20,2000,20)
GOSUB badsmile
select_font(2)
locate 3,8
print "Wrong"
locate 5,8
print "Barcode-"
locate 7,8
print "length!"
wait(400)
RETURN
'**********************************************
scannen:
ENABLE READER(1)
bcr_data$=""
StartTime& = TIMER
scanzeit& = 4

scanloop:
EndTime& = TIMER
TimeElapsed& = EndTime& - StartTime&
IF TimeElapsed& > scanzeit& THEN GOTO nodecode
	bcr_data$ = get_reader_data$(1)
	if bcr_data$ <>	"" then	
	goto decode
	end if
'### Programmabbruck mit Ruecksprung auf Mainmenue wenn ESC gedrckt wird
A$ = INKEY$
IF A$ = CHR$(27) THEN GOTO mainmenu
goto scanloop

decode:
DISABLE READER(1)
ergebnis$ = "1"
goto back
nodecode:
DISABLE READER(1)
ergebnis$="0"
back:
RETURN

badsmile:
SHOW_IMAGE( 2 , 2 , 32 ,1,CHR$( 0 )+CHR$( 0 )+CHR$( 0 )+CHR$( 0 ))
SHOW_IMAGE( 2 , 3 , 32 ,1,CHR$( 0 )+CHR$( 248 )+CHR$( 31 )+CHR$( 0 ))
SHOW_IMAGE( 2 , 4 , 32 ,1,CHR$( 0 )+CHR$( 63 )+CHR$( 124 )+CHR$( 0 ))
SHOW_IMAGE( 2 , 5 , 32 ,1,CHR$( 128 )+CHR$( 15 )+CHR$( 240 )+CHR$( 0 ))
SHOW_IMAGE( 2 , 6 , 32 ,1,CHR$( 192 )+CHR$( 3 )+CHR$( 192 )+CHR$( 3 ))
SHOW_IMAGE( 2 , 7 , 32 ,1,CHR$( 224 )+CHR$( 0 )+CHR$( 0 )+CHR$( 7 ))
SHOW_IMAGE( 2 , 8 , 32 ,1,CHR$( 112 )+CHR$( 0 )+CHR$( 0 )+CHR$( 6 ))
SHOW_IMAGE( 2 , 9 , 32 ,1,CHR$( 112 )+CHR$( 0 )+CHR$( 0 )+CHR$( 14 ))
SHOW_IMAGE( 2 , 10 , 32 ,1,CHR$( 56 )+CHR$( 12 )+CHR$( 56 )+CHR$( 12 ))
SHOW_IMAGE( 2 , 11 , 32 ,1,CHR$( 24 )+CHR$( 62 )+CHR$( 124 )+CHR$( 24 ))
SHOW_IMAGE( 2 , 12 , 32 ,1,CHR$( 12 )+CHR$( 62 )+CHR$( 124 )+CHR$( 56 ))
SHOW_IMAGE( 2 , 13 , 32 ,1,CHR$( 12 )+CHR$( 28 )+CHR$( 56 )+CHR$( 56 ))
SHOW_IMAGE( 2 , 14 , 32 ,1,CHR$( 12 )+CHR$( 0 )+CHR$( 0 )+CHR$( 48 ))
SHOW_IMAGE( 2 , 15 , 32 ,1,CHR$( 12 )+CHR$( 0 )+CHR$( 0 )+CHR$( 48 ))
SHOW_IMAGE( 2 , 16 , 32 ,1,CHR$( 12 )+CHR$( 224 )+CHR$( 7 )+CHR$( 48 ))
SHOW_IMAGE( 2 , 17 , 32 ,1,CHR$( 12 )+CHR$( 240 )+CHR$( 15 )+CHR$( 48 ))
SHOW_IMAGE( 2 , 18 , 32 ,1,CHR$( 12 )+CHR$( 252 )+CHR$( 63 )+CHR$( 48 ))
SHOW_IMAGE( 2 , 19 , 32 ,1,CHR$( 12 )+CHR$( 14 )+CHR$( 120 )+CHR$( 48 ))
SHOW_IMAGE( 2 , 20 , 32 ,1,CHR$( 12 )+CHR$( 7 )+CHR$( 96 )+CHR$( 56 ))
SHOW_IMAGE( 2 , 21 , 32 ,1,CHR$( 12 )+CHR$( 3 )+CHR$( 192 )+CHR$( 56 ))
SHOW_IMAGE( 2 , 22 , 32 ,1,CHR$( 24 )+CHR$( 3 )+CHR$( 192 )+CHR$( 24 ))
SHOW_IMAGE( 2 , 23 , 32 ,1,CHR$( 184 )+CHR$( 1 )+CHR$( 128 )+CHR$( 12 ))
SHOW_IMAGE( 2 , 24 , 32 ,1,CHR$( 48 )+CHR$( 0 )+CHR$( 0 )+CHR$( 12 ))
SHOW_IMAGE( 2 , 25 , 32 ,1,CHR$( 112 )+CHR$( 0 )+CHR$( 0 )+CHR$( 14 ))
SHOW_IMAGE( 2 , 26 , 32 ,1,CHR$( 224 )+CHR$( 0 )+CHR$( 0 )+CHR$( 7 ))
SHOW_IMAGE( 2 , 27 , 32 ,1,CHR$( 192 )+CHR$( 3 )+CHR$( 192 )+CHR$( 3 ))
SHOW_IMAGE( 2 , 28 , 32 ,1,CHR$( 128 )+CHR$( 15 )+CHR$( 240 )+CHR$( 0 ))
SHOW_IMAGE( 2 , 29 , 32 ,1,CHR$( 0 )+CHR$( 63 )+CHR$( 124 )+CHR$( 0 ))
SHOW_IMAGE( 2 , 30 , 32 ,1,CHR$( 0 )+CHR$( 248 )+CHR$( 31 )+CHR$( 0 ))
SHOW_IMAGE( 2 , 31 , 32 ,1,CHR$( 0 )+CHR$( 0 )+CHR$( 0 )+CHR$( 0 ))
SHOW_IMAGE( 2 , 32 , 32 ,1,CHR$( 0 )+CHR$( 0 )+CHR$( 0 )+CHR$( 0 ))
SHOW_IMAGE( 2 , 33 , 32 ,1,CHR$( 0 )+CHR$( 0 )+CHR$( 0 )+CHR$( 0 ))
RETURN
goodsmile:
SHOW_IMAGE( 2 , 3 , 56 ,1,CHR$( 0 )+CHR$( 0 )+CHR$( 0 )+CHR$( 0 )+CHR$( 0 )+CHR$( 0 )+CHR$( 0 ))
SHOW_IMAGE( 2 , 4 , 56 ,1,CHR$( 0 )+CHR$( 0 )+CHR$( 0 )+CHR$( 0 )+CHR$( 0 )+CHR$( 0 )+CHR$( 0 ))
SHOW_IMAGE( 2 , 5 , 56 ,1,CHR$( 0 )+CHR$( 0 )+CHR$( 0 )+CHR$( 0 )+CHR$( 0 )+CHR$( 0 )+CHR$( 0 ))
SHOW_IMAGE( 2 , 6 , 56 ,1,CHR$( 0 )+CHR$( 0 )+CHR$( 224 )+CHR$( 255 )+CHR$( 1 )+CHR$( 0 )+CHR$( 0 ))
SHOW_IMAGE( 2 , 7 , 56 ,1,CHR$( 0 )+CHR$( 0 )+CHR$( 252 )+CHR$( 255 )+CHR$( 15 )+CHR$( 0 )+CHR$( 0 ))
SHOW_IMAGE( 2 , 8 , 56 ,1,CHR$( 0 )+CHR$( 0 )+CHR$( 255 )+CHR$( 255 )+CHR$( 63 )+CHR$( 0 )+CHR$( 0 ))
SHOW_IMAGE( 2 , 9 , 56 ,1,CHR$( 0 )+CHR$( 192 )+CHR$( 127 )+CHR$( 128 )+CHR$( 255 )+CHR$( 0 )+CHR$( 0 ))
SHOW_IMAGE( 2 , 10 , 56 ,1,CHR$( 0 )+CHR$( 240 )+CHR$( 7 )+CHR$( 0 )+CHR$( 248 )+CHR$( 3 )+CHR$( 0 ))
SHOW_IMAGE( 2 , 11 , 56 ,1,CHR$( 0 )+CHR$( 248 )+CHR$( 1 )+CHR$( 0 )+CHR$( 224 )+CHR$( 7 )+CHR$( 0 ))
SHOW_IMAGE( 2 , 12 , 56 ,1,CHR$( 0 )+CHR$( 252 )+CHR$( 0 )+CHR$( 0 )+CHR$( 192 )+CHR$( 15 )+CHR$( 0 ))
SHOW_IMAGE( 2 , 13 , 56 ,1,CHR$( 0 )+CHR$( 62 )+CHR$( 0 )+CHR$( 0 )+CHR$( 0 )+CHR$( 31 )+CHR$( 0 ))
SHOW_IMAGE( 2 , 14 , 56 ,1,CHR$( 0 )+CHR$( 31 )+CHR$( 0 )+CHR$( 0 )+CHR$( 0 )+CHR$( 62 )+CHR$( 0 ))
SHOW_IMAGE( 2 , 15 , 56 ,1,CHR$( 128 )+CHR$( 15 )+CHR$( 0 )+CHR$( 0 )+CHR$( 0 )+CHR$( 124 )+CHR$( 0 ))
SHOW_IMAGE( 2 , 16 , 56 ,1,CHR$( 192 )+CHR$( 7 )+CHR$( 0 )+CHR$( 0 )+CHR$( 0 )+CHR$( 248 )+CHR$( 0 ))
SHOW_IMAGE( 2 , 17 , 56 ,1,CHR$( 192 )+CHR$( 3 )+CHR$( 0 )+CHR$( 0 )+CHR$( 0 )+CHR$( 240 )+CHR$( 0 ))
SHOW_IMAGE( 2 , 18 , 56 ,1,CHR$( 224 )+CHR$( 3 )+CHR$( 0 )+CHR$( 0 )+CHR$( 0 )+CHR$( 240 )+CHR$( 1 ))
SHOW_IMAGE( 2 , 19 , 56 ,1,CHR$( 224 )+CHR$( 1 )+CHR$( 30 )+CHR$( 0 )+CHR$( 30 )+CHR$( 224 )+CHR$( 1 ))
SHOW_IMAGE( 2 , 20 , 56 ,1,CHR$( 240 )+CHR$( 0 )+CHR$( 63 )+CHR$( 0 )+CHR$( 63 )+CHR$( 192 )+CHR$( 3 ))
SHOW_IMAGE( 2 , 21 , 56 ,1,CHR$( 240 )+CHR$( 128 )+CHR$( 127 )+CHR$( 128 )+CHR$( 127 )+CHR$( 192 )+CHR$( 3 ))
SHOW_IMAGE( 2 , 22 , 56 ,1,CHR$( 120 )+CHR$( 128 )+CHR$( 127 )+CHR$( 128 )+CHR$( 127 )+CHR$( 128 )+CHR$( 7 ))
SHOW_IMAGE( 2 , 23 , 56 ,1,CHR$( 120 )+CHR$( 128 )+CHR$( 127 )+CHR$( 128 )+CHR$( 127 )+CHR$( 128 )+CHR$( 7 ))
SHOW_IMAGE( 2 , 24 , 56 ,1,CHR$( 120 )+CHR$( 0 )+CHR$( 63 )+CHR$( 0 )+CHR$( 63 )+CHR$( 128 )+CHR$( 7 ))
SHOW_IMAGE( 2 , 25 , 56 ,1,CHR$( 124 )+CHR$( 0 )+CHR$( 30 )+CHR$( 0 )+CHR$( 30 )+CHR$( 128 )+CHR$( 15 ))
SHOW_IMAGE( 2 , 26 , 56 ,1,CHR$( 60 )+CHR$( 0 )+CHR$( 0 )+CHR$( 0 )+CHR$( 0 )+CHR$( 0 )+CHR$( 15 ))
SHOW_IMAGE( 2 , 27 , 56 ,1,CHR$( 60 )+CHR$( 0 )+CHR$( 0 )+CHR$( 0 )+CHR$( 0 )+CHR$( 0 )+CHR$( 15 ))
SHOW_IMAGE( 2 , 28 , 56 ,1,CHR$( 60 )+CHR$( 0 )+CHR$( 0 )+CHR$( 0 )+CHR$( 0 )+CHR$( 0 )+CHR$( 15 ))
SHOW_IMAGE( 2 , 29 , 56 ,1,CHR$( 60 )+CHR$( 0 )+CHR$( 0 )+CHR$( 0 )+CHR$( 0 )+CHR$( 0 )+CHR$( 15 ))
SHOW_IMAGE( 2 , 30 , 56 ,1,CHR$( 60 )+CHR$( 0 )+CHR$( 0 )+CHR$( 0 )+CHR$( 0 )+CHR$( 0 )+CHR$( 15 ))
SHOW_IMAGE( 2 , 31 , 56 ,1,CHR$( 60 )+CHR$( 112 )+CHR$( 0 )+CHR$( 0 )+CHR$( 128 )+CHR$( 3 )+CHR$( 15 ))
SHOW_IMAGE( 2 , 32 , 56 ,1,CHR$( 60 )+CHR$( 112 )+CHR$( 0 )+CHR$( 0 )+CHR$( 128 )+CHR$( 3 )+CHR$( 15 ))
SHOW_IMAGE( 2 , 33 , 56 ,1,CHR$( 60 )+CHR$( 240 )+CHR$( 0 )+CHR$( 0 )+CHR$( 192 )+CHR$( 3 )+CHR$( 15 ))
SHOW_IMAGE( 2 , 34 , 56 ,1,CHR$( 60 )+CHR$( 224 )+CHR$( 0 )+CHR$( 0 )+CHR$( 192 )+CHR$( 1 )+CHR$( 15 ))
SHOW_IMAGE( 2 , 35 , 56 ,1,CHR$( 124 )+CHR$( 224 )+CHR$( 0 )+CHR$( 0 )+CHR$( 192 )+CHR$( 129 )+CHR$( 15 ))
SHOW_IMAGE( 2 , 36 , 56 ,1,CHR$( 120 )+CHR$( 224 )+CHR$( 1 )+CHR$( 0 )+CHR$( 224 )+CHR$( 129 )+CHR$( 7 ))
SHOW_IMAGE( 2 , 37 , 56 ,1,CHR$( 120 )+CHR$( 192 )+CHR$( 3 )+CHR$( 0 )+CHR$( 240 )+CHR$( 128 )+CHR$( 7 ))
SHOW_IMAGE( 2 , 38 , 56 ,1,CHR$( 120 )+CHR$( 192 )+CHR$( 7 )+CHR$( 0 )+CHR$( 248 )+CHR$( 128 )+CHR$( 7 ))
SHOW_IMAGE( 2 , 39 , 56 ,1,CHR$( 240 )+CHR$( 128 )+CHR$( 15 )+CHR$( 0 )+CHR$( 124 )+CHR$( 192 )+CHR$( 3 ))
SHOW_IMAGE( 2 , 40 , 56 ,1,CHR$( 240 )+CHR$( 128 )+CHR$( 31 )+CHR$( 0 )+CHR$( 126 )+CHR$( 192 )+CHR$( 3 ))
SHOW_IMAGE( 2 , 41 , 56 ,1,CHR$( 224 )+CHR$( 1 )+CHR$( 255 )+CHR$( 192 )+CHR$( 63 )+CHR$( 224 )+CHR$( 1 ))
SHOW_IMAGE( 2 , 42 , 56 ,1,CHR$( 224 )+CHR$( 3 )+CHR$( 254 )+CHR$( 255 )+CHR$( 31 )+CHR$( 240 )+CHR$( 1 ))
SHOW_IMAGE( 2 , 43 , 56 ,1,CHR$( 192 )+CHR$( 3 )+CHR$( 252 )+CHR$( 255 )+CHR$( 15 )+CHR$( 240 )+CHR$( 0 ))
SHOW_IMAGE( 2 , 44 , 56 ,1,CHR$( 192 )+CHR$( 7 )+CHR$( 240 )+CHR$( 255 )+CHR$( 3 )+CHR$( 248 )+CHR$( 0 ))
SHOW_IMAGE( 2 , 45 , 56 ,1,CHR$( 128 )+CHR$( 15 )+CHR$( 192 )+CHR$( 255 )+CHR$( 0 )+CHR$( 124 )+CHR$( 0 ))
SHOW_IMAGE( 2 , 46 , 56 ,1,CHR$( 0 )+CHR$( 31 )+CHR$( 0 )+CHR$( 0 )+CHR$( 0 )+CHR$( 62 )+CHR$( 0 ))
SHOW_IMAGE( 2 , 47 , 56 ,1,CHR$( 0 )+CHR$( 62 )+CHR$( 0 )+CHR$( 0 )+CHR$( 0 )+CHR$( 31 )+CHR$( 0 ))
SHOW_IMAGE( 2 , 48 , 56 ,1,CHR$( 0 )+CHR$( 252 )+CHR$( 0 )+CHR$( 0 )+CHR$( 192 )+CHR$( 15 )+CHR$( 0 ))
SHOW_IMAGE( 2 , 49 , 56 ,1,CHR$( 0 )+CHR$( 248 )+CHR$( 1 )+CHR$( 0 )+CHR$( 224 )+CHR$( 7 )+CHR$( 0 ))
SHOW_IMAGE( 2 , 50 , 56 ,1,CHR$( 0 )+CHR$( 240 )+CHR$( 7 )+CHR$( 0 )+CHR$( 248 )+CHR$( 3 )+CHR$( 0 ))
SHOW_IMAGE( 2 , 51 , 56 ,1,CHR$( 0 )+CHR$( 192 )+CHR$( 127 )+CHR$( 128 )+CHR$( 255 )+CHR$( 0 )+CHR$( 0 ))
SHOW_IMAGE( 2 , 52 , 56 ,1,CHR$( 0 )+CHR$( 0 )+CHR$( 255 )+CHR$( 255 )+CHR$( 63 )+CHR$( 0 )+CHR$( 0 ))
SHOW_IMAGE( 2 , 53 , 56 ,1,CHR$( 0 )+CHR$( 0 )+CHR$( 252 )+CHR$( 255 )+CHR$( 15 )+CHR$( 0 )+CHR$( 0 ))
SHOW_IMAGE( 2 , 54 , 56 ,1,CHR$( 0 )+CHR$( 0 )+CHR$( 224 )+CHR$( 255 )+CHR$( 1 )+CHR$( 0 )+CHR$( 0 ))
SHOW_IMAGE( 2 , 55 , 56 ,1,CHR$( 0 )+CHR$( 0 )+CHR$( 0 )+CHR$( 0 )+CHR$( 0 )+CHR$( 0 )+CHR$( 0 ))
SHOW_IMAGE( 2 , 56 , 56 ,1,CHR$( 0 )+CHR$( 0 )+CHR$( 0 )+CHR$( 0 )+CHR$( 0 )+CHR$( 0 )+CHR$( 0 ))
SHOW_IMAGE( 2 , 57 , 56 ,1,CHR$( 0 )+CHR$( 0 )+CHR$( 0 )+CHR$( 0 )+CHR$( 0 )+CHR$( 0 )+CHR$( 0 ))
SHOW_IMAGE( 2 , 58 , 56 ,1,CHR$( 0 )+CHR$( 0 )+CHR$( 0 )+CHR$( 0 )+CHR$( 0 )+CHR$( 0 )+CHR$( 0 ))
RETURN