'***********************************************************************
'***********************************************************************
programm$ = "INV-720.BAS "
pgm_version$     = "1.0"
' Stand.......: 05.09.2000
'#############################
'# Programmfeatures
'#############################
' Artikel erfassen im Standardmodus:
' - Einscannen einer Artikelnummer (max. 13 Stellen)
' - Anzeige einer zugehrigen Bezeichnung (max. 20 Stellen)
' - Anzeige einer ggfs. schon erfassten Summe (max. 4 Stellen)
' - Eingabe einer Menge (max. 4 Stellen), Aufaddierung der Summe
' - Doppellesungen der Artikelnummer sind mglich, Mengeneingaben werden addiert
' Artikel erfassen im Scanmodus:
' - Einscannen einer Artikelnummer (max. 13 Stellen)
' - Anzeige einer zugehrigen Bezeichnung (max. 20 Stellen)
' - Anzeige einer ggfs. schon erfassten Summe (max. 4 Stellen)
' - Anzeige und bernahme der Menge "1", Aufaddierung der Summe
' - Anzeige wird nicht gelscht
' - Doppellesungen der Artikelnummer sind mglich, Mengeneingaben werden addiert
' Artikel erfassen per Handeingabe:
' - Eingeben einer Artikelnummer (max. 12 Stellen)
' - Anzeige einer zugehrigen Bezeichnung (max. 20 Stellen)
' - Anzeige einer ggfs. schon erfassten Summe (max. 4 Stellen)
' - Eingabe einer Menge (max. 4 Stellen), Aufaddierung der Summe
' - Doppelleingaben der Artikelnummer sind mglich, Mengeneingaben werden addiert
' Editieren:
' - Ansehen und Scrollen der Datenstze, Editieren der bisher erfassten Summe
' - Lschen einzelner Datenstze
' - Lschen aller Datenstze
' Uebertragung:
' - Upload der Artikelstammdaten ARTIKEL.TXT via SENDCOMn.EXE (n = Nummer des Com-Ports)
' - dabei Synchronisierung der MDE Zeit auf PC-Zeit
' - bei erfolgreicher bertragung neuer Artikelstammdaten werden alte gelscht
' - bertragung der erfassten Datenstze an einen PC ber serielle Schnittstelle.
' - Senden/Hyper: ohne Sicherheitsprotokoll an z.B. Hyperterminal
' - Senden/Read: mit Sicherheitsprotokoll, Programm INV-READ.EXE muss gestartet werden.
' - Abfrage: Lschen aller Daten nach bertragung JA/NEIN
'***********************************************************************
' Besonderheit
' Bei Datenimport wird ein Flag "0" an den Datensatz angehngt (index$), der bei erstmaligem Verndern der Menge
' auf "1" gesetzt wird. Dabei werden DATUM und ZEIT im Datensatz auf MDE-Zeit gesetzt, um den Zeitpunkt der
' erstmaligen Erfassung zu dokumentieren. Ist das Flag auf "1" gesetzt werden bei weiteren Zugriffen auf den Artikel
' DATUM und ZEIT im Datensatz nicht mehr verndert.
'***********************************************************************
' Recordstruktur fr Import und Export
'  ARTNR  ;    BEZ     ; MENGE ;DATUM ; ZEIT [CR/LF]
' [max.12]  [max. 20]  [max. 4]      [8]        [6]  
' siehe auch Beispieldatei ARTIKEL.TXT
'***********************************************************************
' Zum Empfang auf dem PC kann z.B. Windows HyperTerminal benutzt werden.
' <Einstellungen>
' 	Emulation: Autom. Erkennung
' <Rufnummer>
' 	Verbinden ber: Direktverbindung ber ComN (N steht fr den benutzten Port, also 1 oder 2)
' <Konfigurieren>
' 	Bits pro Sekunde: 115200
' 	Datenbits: 8
' 	Paritt: keine
' 	Stopbits: 1
' 	Protokoll: Kein
'***********************************************************************
'***********************************************************************
CHANGE_SPEED(5)
DIM TASTE$(1 to 12)				' Array fr Max.-Menge der zu drckenden Tasten bei Handeingabe
DIM SPRUNG%(5)				' Array fr Max.-Menge von Semikolons in einem Datensatz
DIM check%(15)

READER_SETTING(50,0)				' bermittlung der EAN13 Prfziffer unterdrcken
beep(5000,30,2000,30,5000,40)			' Startmelodie


mainmenu:					'Beginn des Eingangsmens
mode$ = "keiner"
ch$=""
code_1$ = "_"
select_font(2)					'Grossschrift
CLS
locate 2,1
	print "1= Erfassen"
locate 4,1
	print "2= Editieren"
locate 6,1
	print "3= Uebertragung"
select_font(1)
set_video_mode(1)
locate 7,1
Print " ";programm$;"  ";pgm_version$;"  "
set_video_mode(0)

input_mode(3)				' keine Textdarstellung einer Eingabe

'*********************************
mainloop:
CHANGE_SPEED(2)
select_font(1)
locate 8,3
print RIGHT$(DATE$,2);".";MID$(DATE$,5,2);".";MID$(DATE$,3,2);"   ";LEFT$(TIME$,2);":";MID$(TIME$,3,2)				
A$ = INKEY$				' Abfrage einer Taste, und entsprechende PGM-Verzweigungen
IF A$ = "1" THEN
	GOTO mainprog			'Routine fuer Erfassung
ELSE IF A$ = "2" THEN
	GOTO lookup				'Routine Daten ansehen
ELSE IF A$= "3" THEN
	GOTO updown				'Routine Uebertragung
ELSE
	GOTO mainloop
END IF

goto mainloop

'*********************************
updown:

select_font(2)
CLS
locate 2,1
	print "1= Empfangen"
locate 4,1
	print "2= Senden/Hyper"
locate 6,1
	print "3= Senden/Read"
select_font(1)
locate 8,1
print "ESC = Zurueck"

A$ = ""

updown_key:
A$ = INKEY$	
IF A$ = "1" THEN
	GOTO empfangen
ELSE IF A$ = "2" THEN
	GOTO senden	
ELSE IF A$= "3" THEN
	GOTO data_download
ELSE IF A$ = CHR$(27) THEN
	GOTO mainmenu	
ELSE
	GOTO updown_key
END IF
goto updown_key


'*********************************************************
'*** Routine fr Senden an Hyperterminal
'*********************************************************
senden:
CHANGE_SPEED(5)
fileend% = RECORD_COUNT(1)			' Ermitteln der Anzahl von Records
IF fileend% = 0 THEN GOTO norecord			' Fehlermeldung falls keine Daten vorhanden sind

SET_COM_TYPE (1,1)					' com1 als RS232 definieren
SET_COM (1,1,1,2,1)					' com1:115200 Baud, keine Parity, 8 Datenbits, kein Stopbit
OPEN_COM(1)						' Port ffnen



CLS
select_font(2)
locate 4,2
Print "Gesendet ..."
select_font(1)
locate 7,1
print "0%"
locate 7,10
print "50%"
locate 7,17
print "100%"
FILL_RECT(4,43,112,2)
FILL_RECT(4,41,2,6)
FILL_RECT(31,43,2,4)
FILL_RECT(58,43,2,4)
FILL_RECT(86,43,2,4)
FILL_RECT(114,41,2,6)

blocksize% = fileend% / 36
if blocksize% < 1 THEN blocksize% = 1
count% = 1
bisher% = 6


FOR p = 1 TO fileend%				' Soviele Loop-Schleifen wie Records
MOVE_TO(1,p)						' zum ersten Record gehen (p ist hier 1)
record$ = GET_RECORD$(1)				' Record einlesen
marke% = LEN(record$) - 2				' Record wird um index$ und semikolon verkrzt
sendrec$ = LEFT$(record$,marke%)
WRITE_COM(1,sendrec$)				' Record auf den Port "schreiben"
wait (10)						' kurze Wartezeit 50msec
if count% >= blocksize% then
FILL_RECT(bisher%,33,3,8)
bisher% = bisher% + 3
count% = 1
else
count% = count% + 1
end if

NEXT p


'*** Ende der Datenbertragung
CLOSE_COM(1)					' Port schlieen

CLS
select_font(2)
locate 2,2
Print "Uebertragung"
locate 4,2
Print "beendet = OK"
wait(200)

GOSUB loeschabfrage
goto mainmenu

'*********************************************************
'*** Routine fr Senden an INV-READ.EXE
'*********************************************************
data_download:
state$ = ""
CHANGE_SPEED(5)
fileend% = RECORD_COUNT(1)		' Ermitteln der Anzahl von Records
IF fileend% = 0 THEN GOTO norecord		' Fehlermeldung falls keine Daten vorhanden sind
Summe%=0
highbyte$ =""
lowbyte$=""

CLS
select_font(2)
locate 2,1
    Print "Warten auf"
locate 4,1
Print "Verbindung ..."
locate 6,1
    Print "Abbruch mit"
locate 8,1
    Print "ESC-Taste."

SET_COM_TYPE (1,1)					' com1 als RS232 definieren
SET_COM (1,1,1,2,1)					' com1:115200 Baud, keine Parity, 8 Datenbits, kein Handshake
OPEN_COM (1)
ON COM(1) GOSUB 200

ReTryDown:
IF state$ = "ende" THEN 
GOTO ende
ELSE IF state$ = "abbruch" THEN
GOTO ende
ELSE IF state$ = "error" THEN
GOTO ende
END IF 

i = 1
while i < 20					' 20 Versuche um auf das Pollen zu warten
IF state$ = "ende" THEN GOTO ende
wait(100)
A$ = INKEY$
wait(100)
IF A$ = CHR$(27) THEN GOTO abbruch_down
i = i + 1
wend
goto ReTryDown


200
OFF COM(1)
MOVE_TO(1,1)
CLS
select_font(2)
locate 4,2
Print "Gesendet ..."
select_font(1)
locate 7,1
print "0%"
locate 7,10
print "50%"
locate 7,17
print "100%"
FILL_RECT(4,43,112,2)
FILL_RECT(4,41,2,6)
FILL_RECT(31,43,2,4)
FILL_RECT(58,43,2,4)
FILL_RECT(86,43,2,4)
FILL_RECT(114,41,2,6)

blocksize% = fileend% / 36
if blocksize% < 1 THEN blocksize% = 1
count% = 1
bisher% = 6

szData$ = read_com$(1)
if LEFT$(szData$,4) ="LOAD" then
    	write_com (1, "ACK")
else if
         	write_com (1, "NAK")
        	goto ReTryDown
end if

z=0
for g = 1 to fileend%
record$ = GET_RECORD$(1)
marke% = LEN(record$) - 2

record$ = LEFT$(record$,marke%)
send_rec$ = CHR$(z) + record$
send_rec_len% = LEN(send_rec$)

	for x = 1 to send_rec_len%
	wert% = ASC(MID$(send_rec$,x,1))
	Summe% = Summe% + wert%
	next x


'*** Checkbyte errechnen
checkbyte:
multipler%=0
highbyte$ =""
lowbyte$=""
hb_char% = 0
lb_char% = 0
hb_char$ = ""
lb_char$ = ""
OrgSumme% = Summe%
quotient& = 32768
multipler% = 128
for low = 1 to 8
	if Summe% - quotient& >= 0 then
		check%(low) = 1
		Summe% = Summe% - quotient&
	else if Summe% - quotient& < 0 then
		check%(low) = 0
	else
		
	end if

	lb_char% = lb_char% + (check%(low) * multipler%)
	lb_char$ = CHR$(lb_char%)
	quotient& = quotient& \ 2
	multipler% = multipler% \ 2
	lowbyte$ = lowbyte$ + STR$(check%(low))
next low

quotient% = 128
for high = 1 to 8
	if Summe% - quotient% >= 0 then
		check%(high) = 1
		Summe% = Summe% - quotient%
	else if Summe% - quotient% < 0 then
		check%(high) = 0
	else
	
	end if

	hb_char% = hb_char% + (check%(high) * quotient%)
	hb_char$ = CHR$(hb_char%)
	quotient% = quotient% \ 2
	highbyte$ = highbyte$ + STR$(check%(high))
next high

if hb_char% = 13 then hb_char% = 14
if lb_char% = 13 then lb_char% = 14

select_font(1)
send_rec$ = send_rec$ + CHR$(hb_char%) + CHR$(lb_char%) + CHR$(13)

down_again_rec:
write_com(1,send_rec$)
if count% >= blocksize% then
FILL_RECT(bisher%,33,3,8)
bisher% = bisher% + 3
count% = 1
else
count% = count% + 1
end if
wait(10)
a=1
while a < 10
answer$ = read_com$(1)
if answer$ = "ACK" then
goto down_next_rec
else if answer$ = "NAK" then 
goto down_again_rec
else
goto down_error
end if
a = a + 1
wait(50)
wend

down_next_rec:
z = z + 1
if z = 10 then z = 0
MOVE_TO_NEXT(1)
next g
write_com(1,"OVER")		' Ende der Datenbertragung da Dateiende ereicht


cls
select_font(2)
locate 3,1
print "Daten sind"
locate 5,1
print "gesendet !"
wait(300)


CLOSE_COM(1)			' Kurzes Lschen den RS232-Buffers duch CLOSE und OPEN
OPEN_COM(1)
state$ = "ende"
gosub loeschabfrage			' Lschen der Daten auf dem MDE JA/NEIN
A$=""
RETURN


abbruch_down:
cls
select_font(2)
locate 3,1
print "Uebertragung"
locate 5,1
print "abgebrochen !"
wait(300)
state$ = "abbruch"
RETURN


down_error:
state$ = "error"
OFF COM (1)
cls
select_font(2)
locate 2,1
print "Keine"
locate 4,1
print "Verbindung!"
locate 6,1
print "Nochmal"
locate 8,1
print "probieren!"
wait(300)
RETURN

ende:
state$ = ""
GOTO mainmenu

'*********************************************************
'*** Routine fr Empfangen aus ART-SEND.EXE
'*********************************************************
' Die empfangenen Datenstze werden zuerst temporr in das Transaction File #1 geschrieben.
' Nach Empfangen eines "OVER" wird zuerst das alte DBF-File #1 gelscht und dann werden
' die einzelnen Stze aus Transaction File # 1 nach DBF # 1 bertragen.
' Danach wird Transaction File #1 gelscht.
'*********************************************************
empfangen:
CHANGE_SPEED(5)
ch$=""
A$=""
nPort% = 1

CLS
select_font(2)
locate 2,1
    Print "Warten auf"
locate 4,1
Print "Verbindung ..."
locate 6,1
    Print "Abbruch mit"
locate 8,1
    Print "ESC-Taste."

SET_COM_TYPE (1,1)					' com1 als RS232 definieren
SET_COM (1,1,1,2,1)					' com1:115200 Baud, keine Parity, 8 Datenbits, kein Handshake
OPEN_COM (1)
ON COM(1) GOSUB 100

'*** jetzt erfolgt eine Warteschleife mit 20 Versuchen a 200 x 5 msec = 20 sec

ReTryUp:
IF state$ = "ende" THEN 
GOTO ende_up
ELSE IF state$ = "abbruch" THEN
GOTO ende_up
ELSE IF state$ = "error" THEN
GOTO ende_up
END IF 

i = 1
while i < 20					' 20 Versuche um auf das Pollen zu warten
IF state$ = "ende" THEN GOTO ende_up
wait(100)
A$ = INKEY$
wait(100)
IF A$ = CHR$(27) THEN GOTO abbruch_up
i = i + 1
wend
goto ReTryUp


100
state$ = ""
OFF COM(1)
daten_empfangen:

CLS
select_font(2)
locate 4,2
Print "empfangen ..."
select_font(1)
locate 7,1
print "0%"
locate 7,10
print "50%"
locate 7,17
print "100%"
FILL_RECT(4,43,112,2)
FILL_RECT(4,41,2,6)
FILL_RECT(31,43,2,4)
FILL_RECT(58,43,2,4)
FILL_RECT(86,43,2,4)
FILL_RECT(114,41,2,6)


count% = 1
bisher% = 6
'*** der erste eingehende String ist die Information ber Anzahl der Datenstze
'*** und ein String der zur Zeitsynchronisierung verwendet wird

eingang$ = read_com$(nPort%)

'*** String auswerten und Zeit setzen
anzahl& = VAL(LEFT$(eingang$,4)) - 1
DATUM$ = MID$(eingang$,9,4) + MID$(eingang$,5,4)
UHRZEIT$ = MID$(eingang$,13,6)
DATE$ = DATUM$
TIME$ = UHRZEIT$
blocksize% = anzahl& / 36
if blocksize% < 1 THEN blocksize% = 1
select_font(2)
locate 2,2
print anzahl& ; " Artikel"
wait(50)
eingang$ = ""
goto nachzeit

empf_loop:
eingang$ = answer$
zweiter_record:
if eingang$ = "OVER" then goto empf_ende
SAVE_TRANSACTION_EX(1,eingang$)
nachzeit:
eingang$ = ""
write_com(1,"ACK")

'*** Graphikanzeige berechnen
if count% >= blocksize% then
FILL_RECT(bisher%,33,3,8)
bisher% = bisher% + 3
count% = 1
else
count% = count% + 1
end if
'*** 10x "Abhorchen" der Schnittstelle mit kurzer Pause
a=1
while a < 10
answer$ = read_com$(1)
	if answer$ <> "" then
		goto next_rec
	else if answer$ = "" then 
		goto again_rec
	end if
again_rec:
a = a + 1
wait(50)
wend

goto trans_error	'*** da auf der Schnittstelle nichts mehr passierte gehts weiter mit einer Fehlermeldung

next_rec:
'*** weiter gehts mit dem nchsten Record auf der Schnittstelle
goto empf_loop

empf_ende:
'*** nach Eingang eines "OVER" muss von erfolgreicher Datenbertragung ausgegangen werden
'*** somit werden temporre Artikeldaten aus TRANSACTION #1 in DBF #1 abgeschrieben und TRANSACTION #1 wird gelscht
'*** Das Verfahren wird natrlich mit einem Laufbalken untermalt.
CLS
select_font(2)
locate 2,2
print "Daten werden"
locate 4,2
print "aufbereitet..."
select_font(1)
locate 7,1
print "0%"
locate 7,10
print "50%"
locate 7,17
print "100%"
FILL_RECT(4,43,112,2)
FILL_RECT(4,41,2,6)
FILL_RECT(31,43,2,4)
FILL_RECT(58,43,2,4)
FILL_RECT(86,43,2,4)
FILL_RECT(114,41,2,6)


count% = 1
bisher% = 6

EMPTY_FILE(1)
wait(200)

saetze% = TRANSACTION_COUNT_EX(1)

blocksize% = saetze% / 36
if blocksize% < 1 THEN blocksize% = 1

for x = 1 to saetze%
record$ = GET_TRANSACTION_DATA_EX$(1,x)
record$ = record$ + ";0"				'*** Hier wird das Flag angehngt
ADD_RECORD(1,record$)
	'*** Graphikanzeige berechnen
	if count% >= blocksize% then
	FILL_RECT(bisher%,33,3,8)
	bisher% = bisher% + 3
	count% = 1
	else
	count% = count% + 1
	end if
next x


CLOSE_COM(1)			' Kurzes Lschen den RS232-Buffers duch CLOSE und OPEN
OPEN_COM(1)
state$ = "ende"
goto end_transmission

trans_error:
OFF COM (1)
cls
select_font(2)
locate 2,1
print "Keine"
locate 4,1
print "Verbindung!"
locate 6,1
print "Nochmal"
locate 8,1
print "probieren!"
EMPTY_TRANSACTION_EX(1)
wait(300)
state$ = "error"
RETURN

abbruch_up:
OFF COM(1)
cls
select_font(2)
locate 3,1
print "Uebertragung"
locate 5,1
print "abgebrochen !"
EMPTY_TRANSACTION_EX(1)
wait(300)
state$ = "abbruch"
RETURN

end_transmission:
cls
select_font(2)
locate 3,1
print "Daten sind"
locate 5,1
print "bereitgestellt."
EMPTY_TRANSACTION_EX(1)
wait(300)
state$ = "ende"
RETURN

ende_up:
state$ = ""
GOTO mainmenu

'###################################################
'#  Datenlookup
'###################################################
lookup:	
CHANGE_SPEED(3)
'*** Ermittelt die Anzahl der Datenstze
fileend% = RECORD_COUNT(1)
if fileend% = 0 THEN GOTO norecord
'*** Displaymaske	
CLS
select_font(1)
locate 1,1
Print "Artikel-Nr.:"
locate 4,1
Print "Menge.:"
locate 5,1
print "Record:"
locate 6,1
Print "  Cursor = Vor/Rueck"
locate 7,1
Print "FN1=DelRec FN2=Edit"
locate 8,1
Print "FN3=DelAll BS=1stRec"

'*** Ermittelt die Anzahl der Datenstze
fileend% = RECORD_COUNT(1)
if fileend% = 0 THEN GOTO norecord

MOVE_TO(1,fileend%)		'*** Setzt den Pointer auf den letzten/aktuellen Record um die Anzeige dort zu starten

'******************************
anzeige:
CHANGE_SPEED(4)
'*** Einlesen des Records, auf den der Pointer zeigt
record$ = GET_RECORD$(1)
'*** Im Unterschied zum CPT-711 werden die Records auf der SMC ab record Nr. 0
'*** verwaltet, also addieren wir zur praxisgerechten Darstellung "1" hinzu damit der erste 
'*** record nicht Nr. 0 sondern Nr. 1 ist.
actrecord% = GET_RECORD_NUMBER(1) +1

GOSUB rec_elements

'*** Lschen der Felder auf dem Display
locate 2,1
print "                   "
locate 2,1
print artikel$
locate 3,1
print "                    "
locate 3,1
print bez$
locate 4,9
print "            "
locate 4,9
print summe$
locate 5,9
print "            "
locate 5,9
print actrecord%;" (";fileend%;")"	'*** Anzeige "Record N von N"

'*** Abwarten fr eine gedrckte Taste
WHILE ch$ = ""
ch$ = INKEY$
WEND
'*** Ermittlung der gedrckten Taste und Verzweigungen
GetKey% = ASC(ch$)
IF GetKey% = 141 THEN GOTO rueck 	'*** Bei Pfeiltaste nach unten
IF GetKey% = 140 THEN GOTO vor		'*** Bei Pfeiltaste nach oben
IF GetKey% = 27 THEN GOTO verlassen	'*** Bei ESC Taste
IF GetKey% = 8 THEN GOTO anfang		'*** Bei BS Taste zum Anfang der Datei
IF GetKey% = 130 THEN GOTO alle_loeschen	'*** Bei FN3 Taste
IF GetKey% = 129 THEN GOTO editieren	'*** Bei FN2 Taste
IF GetKey% = 128 THEN GOTO loeschen	'*** Bei FN1 Taste

ch$=""		'*** Lschen des Tastenzeichens
goto anzeige	'*** Loop zurck
'**************************************
'*** alle Records loeschen
alle_loeschen:
GOSUB loeschabfrage
goto mainmenu



'*** Lschen des angezeigten Records (=Taste FN1)
loeschen:
DEL_RECORD(1)				'*** Lschen des Records, auf den der Pointer gerade zeigt
ch$=""
goto lookup

'*** PGM-Teil fr ndern der Menge (=Taste FN2)
editieren:
CHANGE_SPEED(5)
ch$=""
CLS
LOCATE 1,1
PRINT "Artikelnummer:"
LOCATE 2,1
PRINT artikel$
LOCATE 3,1
PRINT bez$
LOCATE 4,1
PRINT "Summe alt: ";summe$
LOCATE 5,1
PRINT "Summe neu: "
locate 6,1
Print "Neu=Eingabe + ENTER"
locate 7,1
Print "Uebernahme=ENTER"
locate 8,1
Print "Zurueck=ESC"


'*** Hier werden jetzt einige notwendige Variablen besetzt, damit der Programmteil "mengeneingabe" universell genutzt werden kann
zeile% = 5		'*** Zeilenposition des Eingabefeldes
reihe% = 11		'*** Reihenposition des Eingabefeldes
max_digits% = 4	'*** maximal erlaubte Anzahl der Zeichen
default$ = summe$	'*** Festlegung des Default-Wertes, der bei Drcken der ENTER Taste in den Record abgespeichert werden soll.
			'*** Hier: alte Summe, die zuvor beim Einlesen des Records ermittelt wurde
gosub mengeneingabe
GOSUB matchtime
summe$ = Eingabe$
ch$=""
wait(300)		'*** Kurze Wartezeit, damit man seine Eingabe noch lange genug sehen kann
'##############################################
'# Hier wird jetzt berprft, ob der Artikel schon einmal gezhlt wurde
'##############################################
bcr_data$ = artikel$
GOSUB rec_find

record$ = artikel$ + ";" + bez$ + ";" + summe$ + ";" + datum$ + ";" + zeit$ + ";" + index$	'*** Record definieren
UPDATE_RECORD(1,1,record$)						'*** Abspeichern des neuen Records
goto lookup


'*** PGM-Teil fr Sprung zum ersten Record der Daten (=Taste BS)
anfang:
ch$ = ""
MOVE_TO(1,1)
goto anzeige

'*** PGM-Teil fr Sprung zum vorherigen Record der Daten (=Pfeiltaste nach unten)
rueck:
ch$ =""
MOVE_TO_PREVIOUS(1)
norueck:
goto anzeige

'*** PGM-Teil fr Sprung zum nchsten Record der Daten (=Pfeiltaste nach oben)
vor:
ch$=""
MOVE_TO_NEXT (1)
novor:
goto anzeige

'*** Verlassen der Funktion
verlassen:
MOVE_TO (1,fileend%)
ch$=""

GOTO mainmenu
'********************************************
'*** Fehleranzeige wenn noch kein Record vorhanden ist
norecord:
CLS
select_font(2)
locate 4,1
Print "Keine Daten"
locate 6,1
Print "vorhanden..."
wait(300)
GOTO mainmenu

'###############################################################
'### Hauptmaske zur Erfassung der Daten
mainprog:
suche$ = ""
code_1$ = "_"		'*** Definieren eines Cursors bei noch nicht erfolgter Eingabe ArtNr
'*** Grundmaske
summe$ = ""
menge$ = ""

CLS
select_font(1)
	locate 1,1
	print "Artikel-Nr.:"
	locate 2,2
	print code_1$
	select_font(1)
	locate 4,1
	print "Summe.: ";summe$
	locate 5,1
	print "Menge.: ";menge$
IF mode$ = "auto" THEN
	locate 6,1
	print "                    "
	set_video_mode(1)
	locate 7,1	
	print "  Scanmodus aktiv  "
	set_video_mode(0)
ELSE
	locate 6,1
	print "FN1   = Scanmodus"  
	locate 7,1
	print "ENTER = Handeingabe"
END IF
	locate 8,1
	print "ESC   = Abbruch"

'*** Abfrage des Barcodes
erster_loop:
'*** Ansprung der generellen Scanroutine, als Ergebnis wird eine 1 fr ergebnis$ zurckgeliefert, wenn eine Decodierung erfolgte
GOSUB scannen
if ergebnis$ = "1" then goto erster_OK


'*** Falls jetzt keine Decodierung erfolgte, wird eine evtl. zwischenzeitlich gedrckte Taste abgefragt
A$ = INKEY$
GetKey% = ASC(A$)
IF GetKey% = 27 THEN
GOTO mainmenu		'*** ESC-Taste
ELSE IF GetKey% = 13 THEN
mode$ = "hand"
GOTO handeingabe		'*** ENTER-Taste
ELSE IF GetKey% = 128 THEN
mode$ = "auto"
	Eingabe$ = "1"
	locate 6,1
	print "                    "
	set_video_mode(1)
	locate 7,1	
	print "  Scanmodus aktiv  "
	set_video_mode(0)
ELSE
goto erster_loop					'*** Falls nichts passiert ist, wird der loop nochmals durchlaufen
END IF
goto erster_loop					'*** Falls nichts passiert ist, wird der loop nochmals durchlaufen

'*** Routine fr die manuelle Eingabe einer ArtNr, wenn zuvor ENTER gedrckt wurde
handeingabe:
locate 6,1
print "                    "
set_video_mode(1)
locate 7,1
print " Handeingabe aktiv  "
set_video_mode(0)
ch$ = ""
reihe% = 1
zeile% = 2
default$ = "00000000000"
max_digits% = 12
ch$=""
gosub mengeneingabe

bcr_data$ = Eingabe$	'*** das Ergebnis einer manuellen Eingabe wird jetzt genauso wie eine Barcode-Decodierung behandelt
'*** Lschen aller temporren Variablen
ch$=""
Eingabe$ = ""
FOR x = 1 to max_digits%
TASTE$(x) = ""
next x

'*** Darstellung der ArtNr
erster_OK:
'*** Jetzt den Datensatz finden
GOSUB rec_find
if suche$ = "0" then goto art_not_valid
GOSUB rec_elements
artikel$ = bcr_data$
beep(4000,10)		'*** Beep zur Besttigung
LED(2,1,30)		'*** LED kurz grn aufleuchten lassen
select_Font(1)

locate 2,2
print "                   "
locate 2,2
print artikel$
locate 3,1
print "                    "
locate 3,1
print bez$
locate 4,9
print "        "
locate 4,9
print summe$
locate 6,1
print "                    "

if mode$ = "auto" then
	Eingabe$ = "1"

	locate 6,1
	print "                    "
	set_video_mode(1)
	locate 7,1	
	print "  Scanmodus aktiv   "
	set_video_mode(0)
	locate 4,9
	print VAL(summe$) + 1
	locate 5,9
	print "1"

'	GOTO automatic
ELSE
	'*** Eingabe einer Menge
	zeile% = 5
	reihe% = 8
	default$ ="0"
	max_digits% = 4
	gosub mengeneingabe
END IF
automatic:
GOSUB matchtime
menge$ = Eingabe$
eingabe% = VAL(Eingabe$)
summe% = VAL(summe$) + eingabe%
summe$ = STR$(summe%)

'*** Zusammenstellen des Records

record$ = artikel$ + ";" + bez$ + ";" + summe$ + ";" + datum$ + ";" + zeit$ + ";" + index$
UPDATE_RECORD(1,1,record$)		'*** Abspeichern des Records

'*** Lschen aller temporren Variablen
ch$=""
Eingabe$ = ""
FOR x = 1 to max_digits%
TASTE$(x) = ""
next x

'beep(4000,10)
LED(2,1,30)

wait(50)
code_1$="_"
if mode$ = "auto" THEN goto erster_loop
goto mainprog
'**********************************************
rec_find:
CHANGE_SPEED(5)
IF FIND_RECORD(1,1,bcr_data$) = 1 THEN
pos% = GET_RECORD_NUMBER(1)
record$ = GET_RECORD$(1,1)
suche$ = "1"
ELSE
suche$ = "0"
END IF
CHANGE_SPEED(3)
RETURN
'**********************************************
scannen:
CHANGE_SPEED(3)
ENABLE READER(1)		'*** Scanner aktiv schalten
bcr_data$=""
StartTime& = TIMER		'*** Ermitteln der Systemzeit A bei Einsprung in diese Routine
scanzeit& = 4			'*** Festlegung der Gesamtdauer= 4 Sekunden


scanloop:
	EndTime& = TIMER						'*** Ermitteln der Systemzeit B
	TimeElapsed& = EndTime& - StartTime&			'*** Ermitteln der Differenz zwischen Systemzeit A und B
	IF TimeElapsed& > scanzeit& THEN GOTO nodecode	'*** Vergleich der Differenz mit der vorgegebenen Zeitspanne scanzeit&
									'*** falls diese grsser als scanzeit& ist wird der Scanloop verlassen
	bcr_data$ = get_reader_data$(1)				'*** Abfrage einer Decodierung
	if bcr_data$ <>	"" then					'*** falls eine Decodierung vorhanden ist
	goto decode
	end if
		'*** Programmabbruch mit Ruecksprung auf Mainmenue wenn eineTaste  innerhalb der Scanzeit gedrckt wird
A$ = INKEY$
IF A$ = CHR$(27) THEN
	GOTO mainmenu
ELSE IF A$ = CHR$(13) THEN
	GOTO handeingabe
ELSE IF A$ = CHR$(128) THEN
	Eingabe$ = "1"
	mode$ = "auto"
	locate 6,1
	print "                    "
	set_video_mode(1)
	locate 7,1	
	print "  Scanmodus aktiv  "
	set_video_mode(0)
END IF

goto scanloop

'*** Erfolgreiche Decodierung
decode:
DISABLE READER(1)		'*** Scanner deaktivieren
ergebnis$ = "1"		'*** Rcklieferwert festlegen
goto back			

'*** Keine Decodierung innerhalb der scanzeit&
nodecode:
DISABLE READER(1)		'*** Scanner deaktivieren
ergebnis$="0"			'*** Rcklieferwert festlegen

back:
RETURN
'*************************************************
'*** PGM-Teil fr manuelle Eingaben
mengeneingabe:
ch$=""
select_font(1)

y = 1
FOR y = 1 TO max_digits%		'*** soviele Schleifen wie max-Anzahl Tasten
	taste_end:
	LOCATE zeile%,reihe% + y

	PRINT "_"		'*** Darstellung eines Cursors
	GOSUB Tasten	'*** Ansprung der Tastenabfrage mit GetKey% als ASCII-Wert der gedrckten Taste

	IF GetKey% = 8 THEN 
	GOTO backspace			'*** Editieren mit Backspace
	ELSE IF GetKey% = 13 THEN
	keystat$ = "CR"	
	GOTO eingabeende			'*** Abschluss der Eingabe mit ENTER
	ELSE IF GetKey% = 27 THEN
	GOTO verwerfen			'*** Verwerfen der Eingabe mit ESC-Taste und Rcksprung ins Hauptmenue
	END IF
	keystat$ = "NO"
	TASTE$(y) = CHR$(GetKey%)
	LOCATE zeile%,reihe% + y
	PRINT TASTE$(y)
	if y = max_digits% then goto add
	ch$=""
NEXT y

goto add

eingabeende:
'*** Sprung bei Abfrage der ersten Taste und Resultat ENTER
IF y = 1 THEN goto default

'*** Abfrage ob der letzte Status BACKSPACE war, dann y decrementieren
IF keystat$ = "BS" THEN y = y - 1
IF keystat$ = "CR" THEN y = y - 1
'*** Addieren der einzelnen Tasten aus dem Array
add:
Eingabe$ = ""
FOR x = 1 to y
Eingabe$ = Eingabe$ + TASTE$(x)
next x
GOTO mengenende

'*** Besetzen der Menge mit Defaultwert bei erster Taste = ENTER
default:
Eingabe$ = default$
ch$=""
FOR x = 1 to max_digits%
TASTE$(x) = ""
next x
goto mengenende

verwerfen:
'*** Leeren aller Variablen
ch$=""
Eingabe$ = ""
FOR x = 1 to max_digits%
TASTE$(x) = ""
next x
goto mainmenu

mengenende:
ch$=""
FOR x = 1 to max_digits%
TASTE$(x) = ""
next x
RETURN

'***********************************************
'*** Routine fr Editieren mit der BS-Taste
backspace:
IF y = 1 THEN GOTO nobackspace
y = y - 1
LOCATE zeile%,y+1+reihe%
PRINT "    "
nobackspace:
ch$ =""
keystat$ = "BS"
GOTO taste_end
'***********************************************
'*** Ungltigkeitsmeldung, wenn Artikel nicht in Datenbank
'*** mit Rcksprung auf Erfassungsmaske
art_not_valid:
LED(1,1,100)
beep(2000,20,2000,20,2000,20)
CLS
select_font(2)
locate 2,1
print "Artikel"
locate 4,1
print "nicht"
locate 6,1
print "vorhanden!"
wait(500)
goto mainprog
'***********************************************
'*** Elemente des Records ermitteln 
rec_elements:
CHANGE_SPEED(5)
q = 1
FOR x = 1 TO 5
SPRUNG%(x) = INSTR(q, record$, ";")
q = SPRUNG%(x) + 1
NEXT x
marke1% = SPRUNG%(1) - 1
marke2% = SPRUNG%(1) + 1
marke3% = SPRUNG%(2) - SPRUNG%(1) - 1
marke4% = SPRUNG%(2) + 1
marke5% = SPRUNG%(3) - SPRUNG%(2) - 1
marke6% = SPRUNG%(3) + 1
marke7% = SPRUNG%(4) - SPRUNG%(3) - 1
marke8% = SPRUNG%(4) + 1
marke9% = SPRUNG%(5) - SPRUNG%(4) - 1

artikel$ = LEFT$(record$, marke1%)
bez$ = MID$(record$, marke2%, marke3%)
summe$ = MID$(record$, marke4%, marke5%)
datum$ = MID$(record$, marke6%, marke7%)
zeit$ = MID$(record$, marke8%, marke9%)
index$ = RIGHT$(record$, 1)
CHANGE_SPEED(3)
RETURN
'***********************************************
matchtime:
if val(index$) = 0 then
zeit$ = TIME$
datum$ = MID$(DATE$,5,4) + LEFT$(DATE$,4)
index$ ="1"
else
zeit$ = zeit$
datum$ = datum$
end if
RETURN

'***********************************************
loeschabfrage:
CLS
select_font(2)
locate 3,1
Print "Daten loeschen?"
locate 5,1
Print "JA   = ENTER"
locate 7,1
Print "NEIN = ESC"

clear:
A$ = INKEY$				
IF A$ = CHR$(13) THEN
select_font(2)
CLS
locate 3,2
Print "Alle Daten"
locate 5,2
Print "geloescht !"
wait(200)
EMPTY_FILE(1)
GOTO endabfrage
ELSE IF A$ = CHR$(27) THEN
GOTO endabfrage				
ELSE
GOTO clear
END IF
endabfrage:
A$=""
state$ = "ende"
RETURN
'***********************************************
'*** Genereller Loop zur Abfrage einer Taste
SUB Tasten()
WHILE ch$ = ""
ch$ = INKEY$
WEND
IF LEN(ch$) = 1 THEN
	GetKey% = ASC(ch$)
ELSE
	GetKey% = ASC(RIGHT$(ch$,1)) + 255
END IF
END SUB

