'********************************************************************************************************
programm$ = "transmission"
pgm_version$     = "V1.0"
' Stand.......: 06.03.2002
'********************************************************************************************************
' Programmfeatures:
' 1. Empfangen und Senden von Daten
'********************************************************************************************************
' Dieses Beispielprogramm bietet Routinen zum Empfangen und Senden von Daten.
' Das PC-Empfangsprogramm MDE-READ.EXE ist dem Empfangsprogramm 232_READ-EXE sehr hnlich, verwendet jedoch als
' Aufforderunsbefehl an den Scanner "LOAD" anstatt "READ".
'********************************************************************************************************
DIM check%(15)	'*** Diese Arraydefinition ist fr die Checkbytekalkulation am Ende dieses Programmes absolut wichtig! Nicht verndern!
'###############################################################
'### Eingangsteil mit Hauptmen
'###############################################################
mainmenu:
LED(2,1,10)
DISABLE READER(1)
state$ = ""

GOSUB hauptmenue_maske

input_mode(3)				' keine Textdarstellung einer Eingabe

mainloop:
A$ = INKEY$				'Abfrage einer Taste, und entsprechende PGM-Verzweigungen
IF A$ = "1" THEN
	GOTO empfangen_MDELOAD
ELSE IF A$= "2" THEN
	GOTO senden_MDEREAD
ELSE IF A$= "3" THEN
	GOTO senden_HYPER
ELSE IF A$= "4" THEN
	GOTO menu_senden_KBD
ELSE
	GOTO mainloop
END IF
goto mainloop

'###############################################################
'### Teil fr Datenbertragung
'###############################################################
'**********************************************************************************************************
'*** Routine Empfangen aus MDELOAD.EXE
'*** Bitte beachten, dass hier die Baudrate fix auf 115200 eingestellt ist.
'**********************************************************************************************************
'   MDELOAD.EXE  -- To download lookup files (*.TXT) to terminal (via RS-232).
'                   The command line arguments (optional) are as follows,
'                   [filename],[COM port],[Baud rate]
'
'                   COM port    : can be 1 to 6          		// default : 1
'                   Baud rate   : 1 -- 115200 bps        	// default : 1
'                                 	     2 -- 57600 bps
'                                        3 -- 38400 bps
'                                        4 -- 19200 bps
'                                        5 -- 9600 bps
'                   For example,
'                   mdeload  LOOKUP.TXT,2,1              	// COM2, 115200 bps
empfangen_MDELOAD:

GOSUB screen_wait_connect

SET_COM_TYPE (1,1)					' com1 als RS232 definieren
SET_COM (1,1,1,2,1)					' com1:115200 Baud, keine Parity, 8 Datenbits, kein Handshake
OPEN_COM (1)
ON COM(1) GOSUB start_empfang

ReTryUp:
IF state$ = "ende" THEN 
	GOTO ende_empfangen
ELSE IF state$ = "abbruch" THEN
	GOTO abbruch_kommunikation
ELSE IF state$ = "error" THEN
	GOTO noconnect
END IF 

i = 1
while i < 20
IF state$ = "ende" THEN GOTO ende_empfangen
wait(50)
A$ = INKEY$
wait(50)
IF A$ = CHR$(27) THEN GOTO abbruch_kommunikation
i = i + 1
wend
goto noconnect


start_empfang:
ON ESC GOSUB abbruch_empf_win
select_font(2)
locate 2,1
	Print "Daten werden"
locate 4,1
	Print "empfangen ..."

OFF COM(1)
LED(2,2,10)
loop_pointer& = 1
receive_loop:
IF state$ = "abbruch" THEN GOTO abbruch_kommunikation
record$ = read_com$(1)
rec_len% = LEN(record$)

IF LEFT$(record$,4) ="OVER" THEN
	write_com(1,"ACK")
	GOTO empf_ende_win
ELSE IF LEFT$(record$,6) ="CIPHER" then
	GOTO nur_ack
END IF

IF loop_pointer& >= 3 THEN
	last_pointer& = loop_pointer& - 1
	vorlast_pointer& = loop_pointer& - 2
	last_record$ = GET_TRANSACTION_DATA_EX$(1,last_pointer&)
	vorlast_record$ = GET_TRANSACTION_DATA_EX$(1,vorlast_pointer&)
END IF

IF record$ <> "" THEN
	IF record$ <> last_record$ THEN
		IF record$ <> vorlast_record$ THEN
			SAVE_TRANSACTION_EX(1,record$)
		END IF
	END IF
END IF
loop_pointer& = loop_pointer& + 1
nur_ack:
write_com(1,"ACK")
wait(10)
GOTO receive_loop

empf_ende_win:
wait(200)
CLOSE_COM(1)
state$ = "ende"
RETURN

abbruch_empf_win:
OFF ESC
state$ = "abbruch"
RETURN

empf_win_error:
OFF COM (1)
state$ = "error"
RETURN

'**********************************************************************************************************
'*** Routine fr Senden an MDE-READ.EXE
'*** Bitte beachten, dass hier im Programm die Baudrate fix auf 115200 eingestellt ist.
'**********************************************************************************************************
'   MDE-READ.EXE -- To receive transaction data from CPT-711 via RS-232 port.
'                   The command line arguments (optional) are as follows,
'                   [filename],[COM port],[Baud rate],[File mode],[Add Return],
'                   [Add Line-Feed],[Show Error],[View Data]
'                   where
'                   COM port  : can be 1 to 6
'                   Baud rate : 1 -- 115200 bps
'                               2 -- 57600 bps
'                               3 -- 38400 bps
'                               4 -- 19200 bps
'                               5 -- 9600 bps
'                   File mode : 1 -- overwrite
'                               2 -- append
'                               3 -- new name
'                   Add Return: 1 -- add Return character to each record
'                               0 -- do not add Return character
'                   Line-Feed : 1 -- add Line-Feed character to each record
'                               0 -- do not add Line-Feed character
'                   Show Error: 1 -- show messages in case of error
'                               0 -- do not show error messages
'                   View Data : 1 -- view the received data
'                               0 -- do not view the received data
'
'                   For example:
'                   mde-read  data.txt,1,1,1,1,1,0,0
'                   mde-read  data.txt,1,1,1 	// filename, COM port, Baud rate
'                                            		// and File mode are given
'                   mde-read  data.txt,2,2   	// filename, COM port, Baud rate
'                   mde-read  data.txt,3     	// filename, COM port
'                   mde-read                 	// select from dialog box
'
senden_MDEREAD:
fileend& = RECORD_COUNT(1)		' Ermitteln der Anzahl von Records
IF fileend& = 0 THEN GOTO norecord		' Fehlermeldung falls keine Daten vorhanden sind
blocksize% = fileend& \ 36
Summe%=0
highbyte$ =""
lowbyte$=""

GOSUB screen_wait_connect

SET_COM_TYPE (1,1)					' com1 als RS232 definieren
SET_COM (1,1,1,2,1)					' com1:115200 Baud, keine Parity, 8 Datenbits, kein Handshake
OPEN_COM (1)
ON COM(1) GOSUB start_senden

ReTryDown:
IF state$ = "ende" THEN 
	GOTO ende_senden
ELSE IF state$ = "abbruch" THEN
	GOTO abbruch_kommunikation
ELSE IF state$ = "error" THEN
	GOTO noconnect
END IF 

i = 1
WHILE i < 20					' 20 Versuche um auf das Pollen zu warten
IF state$ = "ende" THEN GOTO ende_senden
wait(50)
A$ = INKEY$
wait(50)
IF A$ = CHR$(27) THEN GOTO abbruch_kommunikation
i = i + 1
WEND
goto noconnect


start_senden:
ON ESC GOSUB abbruch_kommunikation
OFF COM(1)
ack% = 0
nak% = 0
nakzaehler% = 0
raster_message1$ = "Daten"
raster_message2$ = "senden..."
GOSUB raster

szData$ = read_com$(1)
IF LEFT$(szData$,4) ="LOAD" then
    	write_com (1, "ACK")
ELSE
         	write_com (1, "NAK")
        	goto ReTryDown
END IF

z=0
FOR g = 1 TO fileend&		' Soviele Loop-Schleifen wie Records
MOVE_TO(1,1,g)			'Wichtig: Der Befehl MOVE_TO ist nur bei DBF-Indexdateien sicher
record$ = GET_RECORD$(1,1)	' Record einlesen

send_rec$ = CHR$(z) + record$

GOSUB checkbyte

down_again_rec:
write_com(1,send_rec$)

wait(20)
a=1
WHILE a < 20
answer$ = read_com$(1)
ack% = INSTR(1,answer$,"ACK")
nak% = INSTR(1,answer$,"NAK")

if ack% = 1 then
	goto down_next_rec
else if nak% = 1 then
	nakzaehler% = nakzaehler% + 1
	IF nakzaehler% >= 20 THEN GOTO down_error 
	goto down_again_rec
end if
a = a + 1
wait(20)
WEND
GOTO down_error

down_next_rec:
GOSUB block_paint
ack% = 0
z = z + 1
if z = 10 then z = 0
next g

write_com(1,"OVER")		' Ende der Datenbertragung da Dateiende ereicht
WAIT(200)
CLOSE_COM(1)
state$ = "ende"
RETURN

abbruch_down:
state$ = "abbruch"
RETURN

down_error:
OFF COM (1)
state$ = "error"
RETURN

'**********************************************************************************************************
'*** Routine fr Senden an Hyperterminal
'**********************************************************************************************************
senden_HYPER:
fileend& = RECORD_COUNT(1)		' Ermitteln der Anzahl von Records
IF fileend& = 0 THEN GOTO norecord		' Fehlermeldung falls keine Daten vorhanden sind
blocksize% = fileend& \ 36
SET_COM_TYPE (1,1)					' com1 als RS232 definieren
SET_COM (1,1,1,2,1)					' com1:9600 Baud, keine Parity, 8 Datenbits, kein Stopbit
OPEN_COM(1)						' Port ffnen

raster_message1$ = "Daten"
raster_message2$ = "senden..."
GOSUB raster

WRITE_COM(1,"*** DBF 1 (1) ***" + CRLF$)
FOR p = 1 TO fileend&
MOVE_TO(1,1,p)
record$ = GET_RECORD$(1,1)
WRITE_COM(1,record$ + CRLF$)
wait (10)
GOSUB block_paint
NEXT p

WAIT(200)
CLOSE_COM(1)					' Port schlieen
GOTO ende_senden

'*********************************
menu_senden_kbd:
fileend& = RECORD_COUNT(1)		' Ermitteln der Anzahl von Records
IF fileend& = 0 THEN GOTO norecord		' Fehlermeldung falls keine Daten vorhanden sind
blocksize% = fileend& \ 36
CLS
select_font(2)
locate 2,1
	print "Geraet an Kabel"
locate 4,1
	print "anschliessen -"
locate 6,1
	print "ENTER druecken"
select_font(1)
locate 8,1
	print "ESC = Hauptmenue"

A$ = ""
updown_key:
A$ = INKEY$	
IF A$ = CHR$(13) THEN
	GOTO checkKBD
ELSE IF A$ = CHR$(27) THEN
	GOTO mainmenu	
ELSE
	GOTO updown_key
END IF
goto updown_key
'**********************************************************************************************************
'*** Fehleranzeige wenn Scanner nicht am Tastaturkabel angeschlossen ist fr Download
'**********************************************************************************************************
error_kein_kbd:
LED(1,1,100)
beep(2000,20,2000,20,2000,20)
cls
select_font(2)
locate 3,2
	print "Scanner ist"
locate 5,2
	print "nicht ange-"
locate 7,2
	print "schlossen!"
wait(500)
select_font(1)
goto mainmenu
'*********************************************************
'*** Routine fr Senden an KBD mit vorheriger Prfung, ob Scanner angeschlossen ist
'*********************************************************
checkKBD:
check_kbd% = WEDGE_READY
IF check_kbd% = 1 THEN GOTO senden_KBD
IF check_kbd% = 0 THEN GOTO error_kein_kbd

senden_KBD:
TAB$ = CHR$(9)
CRLF$ = CHR$(10) + CHR$(13)

fileend& = RECORD_COUNT(1)
IF fileend& = 0 THEN GOTO norecord
blocksize% = fileend& \ 36
	
Wedge_1$ = CHR$(3)
Wedge_2$ = CHR$(0)
Wedge_3$ = CHR$(10)
WedgeSetting$ = Wedge_1$ + Wedge_2$ + Wedge_3$
SET_WEDGE(WedgeSetting$)

FOR p = 1 TO fileend&
GOSUB block_paint
MOVE_TO(1,1,p)	
record$ = GET_RECORD$(1,1)

reclen% = LEN(record$)
semipos% = INSTR(record$,";")
lenmenge% = reclen% - semipos%
lenanr% = semipos% - 1
	ANR$ = LEFT$(record$, lenanr)
	MENGE$ = TRIM_RIGHT$(RIGHT$(record$, lenmenge%))
raster_message1$ = ANR$
raster_message2$ = MENGE$
GOSUB raster
	SEND_WEDGE(ANR$)
	SEND_WEDGE(TAB$)
	SEND_WEDGE(MENGE$)
	SEND_WEDGE(CRLF$)
LED(2,1,5)
NEXT p

GOTO ende_senden


'###################################################
'#  Label fr gemeinsame Nutzung durch bertragungsroutinen
'###################################################
ende_empfangen:
cls
select_font(2)
locate 2,1
	print "Uebertragung-"
locate 4,1
	PRINT "beendet."
locate 6,1
	print "Daten werden"
locate 8,1
	print "aufbereitet."

'*** Jetzt werden die Daten aus der Empfangsdatei DAT1 zur Unterscheidung modifiziert und in die DBF1 geschrieben
fileend& = TRANSACTION_COUNT_EX(1)
FOR x = 1 TO fileend&
	record$ = GET_TRANSACTION_DATA_EX$(1,x)
	record$ = record$ + "00"
	ADD_RECORD(1,record$)
next x
EMPTY_TRANSACTION_EX(1)	'*** DAT1 wird jetzt gelscht
GOTO mainmenu

ende_senden:
cls
select_font(2)
locate 3,1
	print "Datenueber-"
locate 5,1
	print "tragung"
locate 7,1
	print "beendet !"
wait(300)
GOSUB loeschabfrage
GOTO mainmenu

noconnect:
cls
select_font(2)
locate 2,1
	print "Keine"
locate 4,1
	print "Verbindung!"
locate 6,1
	print "Nochmal"
locate 8,1
	print "probieren!"
wait(300)
GOTO mainmenu

abbruch_kommunikation:
cls
select_font(2)
locate 3,1
	print "Uebertragung"
locate 5,1
	print "abgebrochen !"
wait(300)
GOTO mainmenu


unvollstaendig_kommunikation:
cls
select_font(2)
locate 3,1
	print "Uebertragung"
locate 5,1
	print "unvollstaendig !"
wait(300)
GOTO mainmenu

'**********************************************************************************************************
'* Fehleranzeige wenn noch kein Record vorhanden ist
'**********************************************************************************************************
norecord:
LED(1,1,100)
beep(2000,20,2000,20)
CLS
select_font(2)
locate 4,2
	Print "Keine Daten"
locate 6,2
	Print "vorhanden..."
wait(400)
GOTO mainmenu
'**********************************************************************************************************
'*** Hauptmen
'**********************************************************************************************************
SUB hauptmenue_maske()
select_font(1)	
CLS
locate 1,1
	print "1=EMPFANGEN"
locate 2,1
	print "  von MDELOAD"
locate 3,1
	print "2=SENDEN"
locate 4,1
	print "  an MDE-READ"
locate 5,1
	print "3= SENDEN"
locate 6,1
	print "  an Hyperterminal"
locate 7,1
	print "4=SENDEN"
locate 8,1
	print "  an TASTATUR"
END SUB
'**********************************************************************************************************
' Lschabfrage
'**********************************************************************************************************
SUB loeschabfrage()
CLS
select_font(2)
locate 3,1
	Print "Daten loeschen?"
locate 5,1
	Print "JA   = ENTER"
locate 7,1
	Print "NEIN = ESC"
clear:
A$ = INKEY$				
IF A$ = CHR$(13) THEN
	select_font(2)
	CLS
	locate 3,2
		Print "Alle Daten"
	locate 5,2
		Print "geloescht !"
	wait(200)
	GOSUB file_to_delete
	GOTO endabfrage
ELSE IF A$ = CHR$(27) THEN
	GOTO endabfrage				
ELSE
	GOTO clear
END IF
endabfrage:
A$=""
state$ = "ende"
END SUB

'**********************************************************************************************************
'* projektspezifisches Lschen von Daten nach erfolgter bertragung an PC
'**********************************************************************************************************
SUB file_to_delete()
EMPTY_FILE(1)
END SUB
'**********************************************************************************************************
'*** Rasteraufbau fr Laufbalkendarstellung
'**********************************************************************************************************
SUB raster()
CLS
select_font(2)
locate 2,1
	Print raster_message1$
locate 4,1
	Print raster_message2$
select_font(1)
locate 7,1
	print "0%"
locate 7,10
	print "50%"
locate 7,17
	print "100%"
FILL_RECT(4,43,112,2)
FILL_RECT(4,41,2,6)
FILL_RECT(31,43,2,4)
FILL_RECT(58,43,2,4)
FILL_RECT(86,43,2,4)
FILL_RECT(114,41,2,6)
blocksize% = fileend& / 36
if blocksize% < 1 THEN blocksize% = 1
count% = 1
bisher% = 6
raster_message1$ = ""
raster_message2$ = ""
END SUB
'**********************************************************************************************************
'*** Graphikanzeige des Laufbalkens berechnen und darstellen
'**********************************************************************************************************
SUB block_paint()
if count% >= blocksize% then
	FILL_RECT(bisher%,33,3,8)
	bisher% = bisher% + 3
	count% = 1
else
	count% = count% + 1
end if
END SUB
'**********************************************************************************************************
'*** Displaydarstellung fr Warten auf Verbindung
'**********************************************************************************************************
SUB screen_wait_connect()
CLS
select_font(2)
locate 2,1
	Print "Warten auf"
locate 4,1
	Print "Verbindung ..."
locate 6,1
	Print "Abbruch mit"
locate 8,1
	Print "ESC-Taste."
END SUB
'*****************************************************************************
'*** Wichtige Routine fr das Senden an MDE-READ.EXE
'*** Berechnung der beiden Checkbytes am Ende eines Datensatzes 
'*** send_rec$ wird an diese Routine bergeben und auch wieder zurckgegeben
'*****************************************************************************
SUB checkbyte()
send_rec_len% = LEN(send_rec$)
	for x = 1 to send_rec_len%
	wert% = ASC(MID$(send_rec$,x,1))
	Summe% = Summe% + wert%
	next x
multipler%=0
highbyte$ =""
lowbyte$=""
hb_char% = 0
lb_char% = 0
hb_char$ = ""
lb_char$ = ""
OrgSumme% = Summe%
quotient& = 32768
multipler% = 128
for low = 1 to 8
	if Summe% - quotient& >= 0 then
		check%(low) = 1
		Summe% = Summe% - quotient&
	else if Summe% - quotient& < 0 then
		check%(low) = 0
	else
	end if
lb_char% = lb_char% + (check%(low) * multipler%)
lb_char$ = CHR$(lb_char%)
quotient& = quotient& \ 2
multipler% = multipler% \ 2
lowbyte$ = lowbyte$ + STR$(check%(low))
next low

quotient% = 128
for high = 1 to 8
	if Summe% - quotient% >= 0 then
		check%(high) = 1
		Summe% = Summe% - quotient%
	else if Summe% - quotient% < 0 then
		check%(high) = 0
	else
	end if
hb_char% = hb_char% + (check%(high) * quotient%)
hb_char$ = CHR$(hb_char%)
quotient% = quotient% \ 2
highbyte$ = highbyte$ + STR$(check%(high))
next high

if hb_char% = 13 then hb_char% = 14
if lb_char% = 13 then lb_char% = 14

send_rec$ = send_rec$ + CHR$(hb_char%) + CHR$(lb_char%)
END SUB